Bug 1312083 - Nested VM freezes: kvm [...]: vcpu0 unhandled rdmsr: 0x...
Nested VM freezes: kvm [...]: vcpu0 unhandled rdmsr: 0x...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-25 12:06 EST by jniederm
Modified: 2016-05-12 16:43 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 16:43:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
nested vm libvirt log (45.44 KB, text/plain)
2016-02-25 12:06 EST, jniederm
no flags Details
/proc/cpuinfo of laptop (root system) (8.23 KB, text/plain)
2016-02-25 13:57 EST, jniederm
no flags Details
/proc/cpuinfo of vdsm host (vm) (1.74 KB, text/plain)
2016-02-25 13:58 EST, jniederm
no flags Details
/proc/cpuinfo of nested vm (1.63 KB, text/plain)
2016-02-25 14:00 EST, jniederm
no flags Details

  None (edit)
Description jniederm 2016-02-25 12:06:34 EST
Created attachment 1130599 [details]
nested vm libvirt log

Description of problem:
Nested VM is freezing during various activities like: installing fedora, booting fedora, `systemctl isolate graphical.target`, shutting down fedora ...

My setup:
Laptop - Fedora 22
virt-manager.noarch                      1.2.1-4.fc22
qemu-kvm.x86_64                          2:2.3.1-11.fc22
libvirt-daemon.x86_64                    1.2.13.2-2.fc22

$ modinfo kvm
filename:       /lib/modules/4.3.4-200.fc22.x86_64/kernel/arch/x86/kvm/kvm.ko.xz
license:        GPL
author:         Qumranet
depends:        
intree:         Y
vermagic:       4.3.4-200.fc22.x86_64 SMP mod_unload 
parm:           allow_unsafe_assigned_interrupts:Enable device assignment on platforms without interrupt remapping support. (bool)
parm:           ignore_msrs:bool
parm:           min_timer_period_us:uint
parm:           kvmclock_periodic_sync:bool
parm:           tsc_tolerance_ppm:uint
parm:           lapic_timer_advance_ns:uint
parm:           halt_poll_ns:uint
parm:           halt_poll_ns_grow:int
parm:           halt_poll_ns_shrink:int

laptop runs vm in virt-manager that serves as oVirt host (managed by vdsm)

VDSM Host - Fedora 23 (VM):
libvirt-daemon.x86_64                  1.2.18.2-2.fc23
qemu-kvm.x86_64                        2:2.4.1-7.fc23

$ modinfo kvm
filename:       /lib/modules/4.3.5-300.fc23.x86_64/kernel/arch/x86/kvm/kvm.ko.xz
license:        GPL
author:         Qumranet
depends:        
intree:         Y
vermagic:       4.3.5-300.fc23.x86_64 SMP mod_unload 
parm:           allow_unsafe_assigned_interrupts:Enable device assignment on platforms without interrupt remapping support. (bool)
parm:           ignore_msrs:bool
parm:           min_timer_period_us:uint
parm:           kvmclock_periodic_sync:bool
parm:           tsc_tolerance_ppm:uint
parm:           lapic_timer_advance_ns:uint
parm:           halt_poll_ns:uint
parm:           halt_poll_ns_grow:int
parm:           halt_poll_ns_shrink:int

VDSM host started nested VM trying to install and run Fedora 23

`journalctl` if VDSM host shows:
Feb 25 16:52:16 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x619
Feb 25 16:52:16 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x641
Feb 25 16:52:16 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x639
Feb 25 16:52:16 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x611
Feb 25 16:52:13 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x34
Feb 25 16:52:13 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x606
Feb 25 16:52:12 localhost kernel: kvm [1968]: vcpu1 unhandled rdmsr: 0x570
Feb 25 16:52:12 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x570
Feb 25 16:52:06 localhost libvirtd[1195]: Received unexpected event 3
Feb 25 16:52:06 localhost libvirtd[1195]: Received unexpected event 3
...
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x619
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x641
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x639
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x611
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x619
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x641
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x639
Feb 25 16:33:54 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x611
Feb 25 16:33:49 localhost kernel: kvm [1968]: vcpu1 unhandled rdmsr: 0x606
Feb 25 16:33:46 localhost kernel: kvm [1968]: vcpu1 unhandled rdmsr: 0x570
Feb 25 16:33:46 localhost kernel: kvm [1968]: vcpu0 unhandled rdmsr: 0x570
Feb 25 16:33:33 localhost libvirtd[1195]: Received unexpected event 3


How reproducible:
Approx. every third boot, hardly
Comment 1 Cole Robinson 2016-02-25 13:34:56 EST
Please provide /proc/cpuinfo

Did this ever work reliably for you? As in, did this regress recently?

Unfortunately unhandled msr warnings are pretty common and likely aren't indicative of whatever the root issue is.
Comment 2 jniederm 2016-02-25 13:57 EST
Created attachment 1130642 [details]
/proc/cpuinfo of laptop (root system)
Comment 3 jniederm 2016-02-25 13:58 EST
Created attachment 1130643 [details]
/proc/cpuinfo of vdsm host (vm)
Comment 4 jniederm 2016-02-25 14:00 EST
Created attachment 1130644 [details]
/proc/cpuinfo of nested vm
Comment 5 jniederm 2016-02-25 14:01:43 EST
It is for the first time I run actual OS in nested VM so I can't tell.
Comment 6 Cole Robinson 2016-03-17 11:10:04 EDT
You can try setting the ignore_msrs kvm module parameter... if things end up working that will indicate if it's an msr issue or not
Comment 7 Cole Robinson 2016-05-02 16:46:50 EDT
(In reply to Cole Robinson from comment #6)
> You can try setting the ignore_msrs kvm module parameter... if things end up
> working that will indicate if it's an msr issue or not

jniederm did this help at all?
Comment 8 jniederm 2016-05-12 16:43:56 EDT
I'm sorry. The VM got lost and I don't have capacity to recreate it. Closing. Thank you for your help.

Note You need to log in before you can comment on or make changes to this bug.